Last Comment Bug 632148 - Port bug 630628 - Extract d3dx9_??.dll and d3dcompiler_??.dll from DirectX SDK at build time, and ship them with the build
: Port bug 630628 - Extract d3dx9_??.dll and d3dcompiler_??.dll from DirectX SD...
Status: RESOLVED FIXED
[needed for platform parity]
:
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: x86 Windows 7
: -- normal (vote)
: Thunderbird 5.0b1
Assigned To: Mark Banner (:standard8, limited time in Dec)
:
:
Mentors:
Depends on: 603367 630628 632325
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-07 12:55 PST by Mark Banner (:standard8, limited time in Dec)
Modified: 2012-01-09 10:57 PST (History)
7 users (show)
standard8: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
needed
final+


Attachments
The fix [Checked in: See comment 14] (5.71 KB, patch)
2011-03-15 04:52 PDT, Mark Banner (:standard8, limited time in Dec)
bugspam.Callek: review+
Details | Diff | Splinter Review
(Bv1) Fix nit in configure.in, Add missed suite/installer/Makefile.in part [Checked in: See comment 20] (1.34 KB, patch)
2011-03-19 06:27 PDT, Serge Gautherie (:sgautherie)
bugspam.Callek: review+
Details | Diff | Splinter Review

Description Mark Banner (:standard8, limited time in Dec) 2011-02-07 12:55:01 PST
+++ This bug was initially created as a clone of Bug #630628 +++

WebGL on Windows relies on using ANGLE for rendering, which relies on a DLL, namely d3dx9_42.dll, to be present. It is part of the Microsoft DirectX SDK runtime, which we don't want to have to ask users to install by themselves. Therefore we want to ship this file with the build. This patch extracts it from the DirectX SDK at build time, and copies it into dist/bin.
Comment 1 Serge Gautherie (:sgautherie) 2011-02-08 00:16:48 PST
Should we file blocking bugs for SM and TB to install DirectX SDK?
Comment 2 Mark Banner (:standard8, limited time in Dec) 2011-02-08 01:05:09 PST
(In reply to comment #1)
> Should we file blocking bugs for SM and TB to install DirectX SDK?

No, they don't block this bug. The two are independent (FTR bug 632147 is the TB one).
Comment 3 Serge Gautherie (:sgautherie) 2011-02-08 01:15:07 PST
(In reply to comment #2)
> The two are independent (FTR bug 632147 is the TB one).

I filed bug 632325 for SM.
Comment 4 Benoit Jacob [:bjacob] (mostly away) 2011-02-08 04:20:37 PST
Is MozillaBuild installed on all build slaves?

If yes, probably the simplest solution is to implement the "let's add these bits of DirectX SDK to MozillaBuild and let's edit configure.in so it finds and uses that" idea. This is also very useful to keep Firefox/SeaMonkey easier to build on Windows for everybody.
Comment 5 Mark Banner (:standard8, limited time in Dec) 2011-02-08 04:29:16 PST
(In reply to comment #4)
> Is MozillaBuild installed on all build slaves?
> 
> If yes, probably the simplest solution is to implement the "let's add these
> bits of DirectX SDK to MozillaBuild and let's edit configure.in so it finds and
> uses that" idea. This is also very useful to keep Firefox/SeaMonkey easier to
> build on Windows for everybody.

That's a possibility, but in Thunderbird land we generally prefer to keep our system the same as Firefox, when we diverge is when we hit problems.
Comment 6 Robert Kaiser 2011-02-08 06:52:59 PST
We're all trying to follow the Firefox build setups as closely as possible, to avoid problems that are specific to our setup - but integrating this into MozillaBuild and using that on FF machines as well as others sounds like a good idea, esp. as devs for all our products are building with MozillaBuild as well.
Comment 7 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-02-08 08:21:25 PST
I think we want to move the DirectX SDK logic into MozillaBuild anyways.
Comment 8 Vladimir Vukicevic [:vlad] [:vladv] 2011-02-08 11:58:27 PST
We can't ship any of the dxsdk bits in MozillaBuild.  We can, however, add any logic in finding it into mb, but I don't know that there's any point -- bjacob did a bunch of work to find it in the configure step.
Comment 9 Mark Banner (:standard8, limited time in Dec) 2011-03-15 04:52:09 PDT
Created attachment 519379 [details] [diff] [review]
The fix
[Checked in: See comment 14]

This does the necessary porting and additions.
Comment 10 Serge Gautherie (:sgautherie) 2011-03-15 08:24:47 PDT
Comment on attachment 519379 [details] [diff] [review]
The fix
[Checked in: See comment 14]

>+case "$target_os" in
>+    *msvc*|*mks*|*cygwin*|*mingw*)

Nit: no need to add "cygwin" support anymore.
Comment 11 Mark Banner (:standard8, limited time in Dec) 2011-03-17 01:36:27 PDT
FTR bug 632325 doesn't actually block this - the patch should be able to land without DirectX SDK being installed on the boxes.
Comment 12 Justin Wood (:Callek) 2011-03-17 23:16:16 PDT
Comment on attachment 519379 [details] [diff] [review]
The fix
[Checked in: See comment 14]

>Directx package try: -b do -p linux,win32 -u all -t none

Be sure to remove try-checkin-commands from here for when you do land.

>diff --git a/configure.in b/configure.in
>+MOZ_D3DCOMPILER_DLL=
>+case "$target_os" in
>+    *msvc*|*mks*|*cygwin*|*mingw*)

Nit: |*mingw*)| only here (matches projects/build-system)


And yes, I know this bug wasn't necessarily blocked by the install-DX-to-slaves bug for SeaMonkey, *but* I did set the dep, as this wouldn't actually do anything on the SeaMonkey slaves until I installed that.
Comment 13 Justin Wood (:Callek) 2011-03-17 23:16:50 PDT
Comment on attachment 519379 [details] [diff] [review]
The fix
[Checked in: See comment 14]

I did not verify if TB utilizes the same about:licence as Firefox, but if not you need to port: https://bugzilla.mozilla.org/attachment.cgi?id=509196&action=diff as well.
Comment 14 Mark Banner (:standard8, limited time in Dec) 2011-03-18 07:08:48 PDT
Checked in: http://hg.mozilla.org/comm-central/rev/a5aaf273af00

Also did a follow up for the nit: http://hg.mozilla.org/comm-central/rev/afd1d64f20a5

We get the license file from toolkit, so we don't need an additional bug.
Comment 15 Serge Gautherie (:sgautherie) 2011-03-19 06:27:25 PDT
Created attachment 520435 [details] [diff] [review]
(Bv1) Fix nit in configure.in, Add missed suite/installer/Makefile.in part
[Checked in: See comment 20]

Untested, but trivial copy&paste.

Should hopefully fix
{
make package-compare
...
+bin/D3DCompiler_42.dll
...
+bin/d3dx9_42.dll
}

Would you accept the removed-files.in counterpart?
Comment 16 Mark Banner (:standard8, limited time in Dec) 2011-03-19 09:15:35 PDT
Comment on attachment 520435 [details] [diff] [review]
(Bv1) Fix nit in configure.in, Add missed suite/installer/Makefile.in part
[Checked in: See comment 20]

> case "$target_os" in
>-*mingw*)
>-    MOZ_ANGLE=1
>-    ;;
>+    *mingw*)
>+        MOZ_ANGLE=1
>+        ;;

I purposely made the indentation match what mozilla-central has so that a diff between the two wouldn't show as different. I suggest if you want to change this that you file a separate bug.

> Would you accept the removed-files.in counterpart?

I thought about that and thought that it isn't necessary. We're not likely to be turning this on/off whilst shipping or updating people.
Comment 17 Mark Banner (:standard8, limited time in Dec) 2011-03-19 09:16:26 PDT
and thanks for catching the other part, guess I missed that in the copy n paste.
Comment 18 Serge Gautherie (:sgautherie) 2011-03-19 09:40:58 PDT
(In reply to comment #16)
> I purposely made the indentation match what mozilla-central has so that a diff

Afaict, m-c is indented (as your attached patch was)...
Comment 19 Justin Wood (:Callek) 2011-03-19 11:27:02 PDT
Comment on attachment 520435 [details] [diff] [review]
(Bv1) Fix nit in configure.in, Add missed suite/installer/Makefile.in part
[Checked in: See comment 20]

>diff --git a/configure.in b/configure.in

Please don't change this file, that section matches what is in build-system repo.
Comment 20 Serge Gautherie (:sgautherie) 2011-03-19 12:06:05 PDT
Comment on attachment 520435 [details] [diff] [review]
(Bv1) Fix nit in configure.in, Add missed suite/installer/Makefile.in part
[Checked in: See comment 20]

http://hg.mozilla.org/comm-central/rev/2b95c4960211
Bv1, with comment 19 suggestion(s).
Comment 21 Serge Gautherie (:sgautherie) 2011-03-21 21:08:18 PDT
V.Fixed, SeaMonkey part, per bug 632325 comment 9.

Note You need to log in before you can comment on or make changes to this bug.